#!/bin/bash
#
# source: http://thekelleys.org.uk/atmel/atmel-firmware-1.3.tar.gz
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="atmel-firmware"
softversion="1.3"
arch="noarch"
packageversion="54.1"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvzf $soft-$softversion.tar.gz
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

              |-----handy-ruler-----------------------------------------------|
atmel-firmware: atmel-firmware - Atmel firmware for at76c50x wireless chips
atmel-firmware:
atmel-firmware: This package provides the firmware images for Atmel at76c50x
atmel-firmware: wireless network chips.
atmel-firmware:
atmel-firmware:
atmel-firmware:
atmel-firmware:
atmel-firmware:
atmel-firmware:
atmel-firmware:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/lib/firmware
cp images/*.bin $dest/lib/firmware
cp images.usb/*.bin $dest/lib/firmware

mkdir -p $dest/usr/doc/$soft-$softversion
cp COPYING README VERSION $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5